%define	xineversion 1.1.1
%define	xinerel	7.1

Name:		xine-ui
Summary:	A Free Video Player
Version:	0.99.7
Release:	%mkrel 9
License:	GPLv2+
Group:		Video/Players
Source0:	http://prdownloads.sourceforge.net/xine/%name-%version.tar.xz
URL:		http://xine.sourceforge.net/
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	curl
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	curl-devel
BuildRequires:	png-devel
BuildRequires:	libxine-devel >= %xineversion-%xinerel
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
%ifarch %ix86 x86_64
BuildRequires:	libnvtvsimple-devel
%endif
BuildRequires:	libxt-devel
BuildRequires:	libxv-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:	libjpeg-devel

%description
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video/Players
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video/Players
Requires:	xine-plugins >= %xineversion-%xinerel

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%setup -q
%apply_patches

%build
export XINE_DOCPATH="%_datadir/doc/xine-ui"
%configure2_5x --enable-vdr-keys --with-caca --with-aalib
%make

%install
%makeinstall_std transform=""

#language files
%find_lang xine-ui --all-name --with-man

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%files -f xine-ui.lang
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_datadir/mime/packages/xine-ui.xml
%_mandir/man1/*

%files aa
%doc README
%_bindir/aaxine
%_bindir/cacaxine

%files fb
%doc README
%_bindir/fbxine



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.99.7-9.mga4
+ Revision: 533254
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 0.99.7-8.mga4.tainted
+ Revision: 472367
- rebuild for new libmng

* Mon Jun 03 2013 fwang <fwang> 0.99.7-7.mga4
+ Revision: 436269
- rebuild for new libpng

* Sun Apr 07 2013 luigiwalser <luigiwalser> 0.99.7-6.mga3
+ Revision: 408806
- rebuild to really fix mga#9055

* Sat Mar 30 2013 rtp <rtp> 0.99.7-5.mga3
+ Revision: 406727
- build with nvtvsimple only on x86

* Sun Mar 17 2013 lmenut <lmenut> 0.99.7-4.mga3
+ Revision: 403619
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 21 2013 barjac <barjac> 0.99.7-3.mga3
+ Revision: 390639
- update group
- clean spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 fwang <fwang> 0.99.7-1.mga3
+ Revision: 260039
- update file list
- add more brs
- new version 0.99.7

* Fri Sep 16 2011 fwang <fwang> 0.99.6-4.mga2
+ Revision: 144218
- clean up spec
- fix build with latest curl
- fix build with latest png

* Thu Mar 10 2011 mikala <mikala> 0.99.6-4.mga1
+ Revision: 67749
- Remove BuildRoot
- Remove mdk macros
- imported package xine-ui

